Get Connected Workflow Configurations

Purpose

To retrieve the configuration limits applicable to connected workflows in your Zoho CRM organization. These limits define how many workflows, modules, rules, and actions can be configured, based on your CRM edition.

Endpoints

  • GET /settings/connected_workflows/actions/configurations

Request Details

Request URL

{api-domain}/crm/{version}/settings/connected_workflows/actions/configurations

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.connected_workflows.READ
(or)
ZohoCRM.settings.connected_workflows.ALL
(or)
ZohoCRM.settings.ALL

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/connected_workflows/actions/configurations"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf" 
-X GET

Response JSON

The response contains the configurations object with limits applicable for connected workflows. The configurations object contains the following keys:

  • connected_workflows_limitinteger

    Maximum number of connected workflows allowed in the org.

  • modules_limit_per_processinteger

    Maximum number of modules that can be configured in a single connected workflow.

  • rulesJSON object

    Represents rule-related limits.

    • limit_per_moduleinteger

      Maximum number of rules allowed per module.

    • actionsJSON array 

      Represents action-wise limits per rule. Each object corresponds to a supported action type.

      • namestring

        Action type.
        Possible values:create_connected_record, field_updates, email_notifications.

      • limitinteger

        Maximum number of actions of this type allowed per rule.

Possible Errors

  • FEATURE_NOT_SUPPORTEDHTTP 400

    Your edition does not support this feature
    Resolution: Upgrade the account to Standard, Professional, Enterprise, or Ultimate edition and then retry the request.

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: This API supports only the GET method. Retry the request using the GET method.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: Client does not have the required OAUTH SCOPE. Create a new token with valid scope. Refer to the Scope section for more details.

  • NO_PERMISSIONHTTP 403

    Permission denied
    Resolution: Ensure that the user making the API call has the Manage Automation or Connected Workflow permission enabled in their CRM profile, and then retry the request.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to request URL section for more details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in Server. Contact support team.

Sample Response

Copied{
    "configurations": {
        "connected_workflows_limit": 10,
        "modules_limit_per_process": 15,
        "rules": {
            "limit_per_module": 10,
            "actions": [
                {
                    "limit": 5,
                    "name": "field_updates"
                },
                {
                    "limit": 3,
                    "name": "email_notifications"
                },
                {
                    "limit": 3,
                    "name": "create_connected_record"
                }
            ]
        }
    }
}